/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.ee.RatedDisability;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface RatedDisabilityMetaData
{
    public RatedDisability getEntity();

    public void setEntity(RatedDisability entity);

    public String getDisability();

    public String getPercentage();

    public String getServiceConnected();
    
    public String getDiagnosticExtremity();
    
    public String getRatedDisabilityOrigEffectiveDate();
    
    public String getRatedDisabilityCurrentEffectiveDate();
}